Delete a Catalog Ad Item
curl --request DELETE \
--url https://api.hakumedia.ai/v2/ad-items/catalog-item/{id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/ad-items/catalog-item/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/ad-items/catalog-item/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/ad-items/catalog-item/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 1362,
"deleted": true
}Ad Items · Catalog Item
Delete a Catalog Ad Item
Remove a catalog ad item entirely. :ID is the identifier for a catalog ad item (eg client SKU, or whichever other unique identifier used).
DELETE
/
ad-items
/
catalog-item
/
{id}
Delete a Catalog Ad Item
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the Catalog Ad Item you'd like to delete (eg client SKU, or whichever other unique identifier used).